summaryrefslogtreecommitdiffstats
path: root/source/d/m4/m4.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/d/m4/m4.SlackBuild')
-rwxr-xr-xsource/d/m4/m4.SlackBuild23
1 files changed, 16 insertions, 7 deletions
diff --git a/source/d/m4/m4.SlackBuild b/source/d/m4/m4.SlackBuild
index 5623854c4..0bc3f10fc 100755
--- a/source/d/m4/m4.SlackBuild
+++ b/source/d/m4/m4.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2008, 2009, 2010, 2011 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2008, 2009, 2010, 2011, 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,27 +20,36 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+
PKGNAM=m4
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
NUMJOBS=${NUMJOBS:-" -j7 "}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) export ARCH=$( uname -m ) ;;
esac
fi
-CWD=$(pwd)
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
TMP=${TMP:-/tmp}
PKG=$TMP/package-m4
-if [ "$ARCH" = "i486" ]; then
+if [ "$ARCH" = "i586" ]; then
SLKCFLAGS="-O2"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "s390" ]; then
@@ -106,7 +115,7 @@ fi
# ansi2knr is no longer part of the m4 sources.
# Geez, I'm gonna have to learn ANSI C now...
#
-#( cd src ; make ansi2knr )
+#( cd src ; make ansi2knr || exit 1) || exit 1
#gzip -9 $PKG/usr/info/m4.info.gz
#cat src/m4 > $PKG/usr/bin/m4
#chmod 755 $PKG/usr/bin/*